package com.fs.company.service;

import java.math.BigDecimal;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.company.domain.CompanyRedPackageLogs;

/**
 * 公司红包余额日志Service接口
 * 
 * @author 吴树波
 * @date 2025-04-15
 */
public interface ICompanyRedPackageLogsService extends IService<CompanyRedPackageLogs>{
    /**
     * 查询公司红包余额日志
     * 
     * @param id 公司红包余额日志主键
     * @return 公司红包余额日志
     */
    CompanyRedPackageLogs selectCompanyRedPackageLogsById(Long id);

    /**
     * 查询公司红包余额日志列表
     * 
     * @param companyRedPackageLogs 公司红包余额日志
     * @return 公司红包余额日志集合
     */
    List<CompanyRedPackageLogs> selectCompanyRedPackageLogsList(CompanyRedPackageLogs companyRedPackageLogs);

    /**
     * 新增公司红包余额日志
     * 
     * @param companyRedPackageLogs 公司红包余额日志
     * @return 结果
     */
    int insertCompanyRedPackageLogs(CompanyRedPackageLogs companyRedPackageLogs);

    /**
     * 修改公司红包余额日志
     * 
     * @param companyRedPackageLogs 公司红包余额日志
     * @return 结果
     */
    int updateCompanyRedPackageLogs(CompanyRedPackageLogs companyRedPackageLogs);

    /**
     * 批量删除公司红包余额日志
     * 
     * @param ids 需要删除的公司红包余额日志主键集合
     * @return 结果
     */
    int deleteCompanyRedPackageLogsByIds(Long[] ids);

    /**
     * 删除公司红包余额日志信息
     * 
     * @param id 公司红包余额日志主键
     * @return 结果
     */
    int deleteCompanyRedPackageLogsById(Long id);

    void recharge(CompanyRedPackageLogs companyRedPackageLogs);

    BigDecimal getMoneyPri();

    void rew(CompanyRedPackageLogs entity);
}
